> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update issue

> Update an issue, synced to Linear. Linear sync failures are logged but do not block the local update. Requires the issues:write scope.



## OpenAPI

````yaml patch /issues/{id}
openapi: 3.0.3
info:
  title: Productlane API
  description: Productlane API v2.
  version: 2.0.0
servers:
  - url: https://productlane.com/api/v2
security: []
paths:
  /issues/{id}:
    patch:
      tags:
        - issues
      summary: Update issue
      description: >-
        Update an issue, synced to Linear. Linear sync failures are logged but
        do not block the local update. Requires the issues:write scope.
      operationId: issues-update
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  minLength: 1
                description:
                  type: string
                state_id:
                  type: string
                  description: Linear workflow state id.
                priority:
                  anyOf:
                    - type: number
                      enum:
                        - 0
                    - type: number
                      enum:
                        - 1
                    - type: number
                      enum:
                        - 2
                    - type: number
                      enum:
                        - 3
                    - type: number
                      enum:
                        - 4
                  description: >-
                    Linear issue priority. 0 = No priority, 1 = Urgent, 2 =
                    High, 3 = Normal, 4 = Low.
                project_id:
                  type: string
                  nullable: true
                  description: Linear project id. Pass `null` to detach.
                assignee_id:
                  type: string
                  nullable: true
                  description: Linear user id. Pass `null` to unassign.
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  identifier:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
                    nullable: true
                  priority:
                    type: string
                  status:
                    type: string
                  linear_team_id:
                    type: string
                  url:
                    type: string
                  project_id:
                    type: string
                    nullable: true
                  sort_order:
                    type: number
                  total_score:
                    type: number
                  created_at:
                    type: string
                  updated_at:
                    type: string
                  linear_ticket_id:
                    type: string
                required:
                  - id
                  - identifier
                  - title
                  - description
                  - priority
                  - status
                  - linear_team_id
                  - url
                  - project_id
                  - sort_order
                  - total_score
                  - created_at
                  - updated_at
                  - linear_ticket_id
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````